#!/bin/sh

# Recreate the bin directory and jar output file
rm -rf bin
mkdir bin
rm -f SpanningTreeApplet.jar

# Compile all existing java files
javac -Xlint -d bin src/*.java

# Copy images into the bin directory.
cp src/*.png bin/edu/hawaii/ics/yucheng/

# Package all produced classes into a java archive.
jar cf SpanningTreeApplet.jar -C bin/ .

# Ensure the java archive is visible by the web server account.
chmod 644 SpanningTreeApplet.jar
