package edu.hawaii.ics.yucheng;

/**
 * The interface to an object that listens for progress events from a
 * GraphSolver object.
 */
interface GraphListener {

    /**
     * Executes when the graph reports progress.
     * 
     * @param solution The solution or partial solution.
     */
    void progress(GraphSolution solution);
}
