@ECHO OFF

REM Recreate the bin directory and jar output file.
IF EXIST bin RMDIR /S /Q bin
MKDIR bin
IF EXIST SpanningTreeApplet.jar DEL SpanningTreeApplet.jar

REM Compile all existing java files.
javac -Xlint -d bin src\*.java

REM Copy images into the bin directory.
COPY src\*.png bin\edu\hawaii\ics\yucheng > NUL

REM Package all produced classes into a java archive.
jar cf SpanningTreeApplet.jar -C bin .
