package edu.hawaii.ics.yucheng;

/**
 * An exception thrown within the Applet.
 */
@SuppressWarnings("serial")
class GraphException extends RuntimeException {
    /**
     * Initializes a new instance of the class.
     * 
     * @param message The message.
     */
    public GraphException(final String message) {
        super(message);
    }


    /**
     * Initializes a new instance of the class.
     * 
     * @param message The message.
     * 
     * @param cause The original cause of the exception.
     */
    public GraphException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
